# -*- coding: utf-8 -*-
#
# Dangerzone documentation build configuration file.

import sphinx_rtd_theme
import os

extensions = ["sphinx_rtd_theme", "myst_parser"]

myst_enable_extensions = [
    "colon_fence",
]

myst_enable_checkboxes = True

# Add any paths that contain templates here, relative to this directory.
templates_path = ["_templates"]
source_suffix = {".md": "markdown"}
master_doc = "index"
project = "Dangerzone"
copyright = "2025, Freedom of the Press Foundation"
author = "Dangerzone Team and Contributors"

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = "en"

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
exclude_patterns = ["_build"]

pygments_style = "sphinx"


html_theme = "sphinx_rtd_theme"

html_context = {
    "display_github": True,
    "github_user": "freedomofpress",
    "github_repo": "dangerzone",
    "github_version": "main",
    "conf_py_path": "/docs/",
    "source_suffix": source_suffix,
}

# The name of an image file (relative to this directory) to place at the top
# of the sidebar.
html_logo = "../static/i/favicon.png"

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]
html_css_files = [
    "rtd_dark.css",
]

# Output file base name for HTML help builder.
htmlhelp_basename = "Dangerzonedoc"

man_pages = [(master_doc, "dangerzone", "Dangerzone Documentation", [author], 1)]

# -- Options for Texinfo output -------------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (
        master_doc,
        "Dangerzone",
        "Dangerzone Documentation",
        author,
        "Dangerzone",
        "One line description of project.",
        "Miscellaneous",
    ),
]

linkcheck_retries = 3
linkcheck_workers = 32

linkcheck_ignore = [
    r"http://127\.0\.0\.1(:\d+)?/?",
    r"http://localhost(:\d+)?/?",
]
